List completed and failed print batches
Paginated history of batches with status completed or failed. Joins printer, room, and member display names. Ordered by completedAt DESC.
Paginated history of batches with status completed or failed. Joins printer, room, and member display names. Ordered by completedAt DESC.
__Secure-guidelab-prod.session_token<token>
Production session cookie set for the guidelab.co domain by Better Auth
In: cookie
Query Parameters
printerId?string
roomId?string
status?string
Value in
- "completed"
- "failed"
operatorId?string
from?string
Match
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}(?::\d{2}(?:\.\d{1,9})?)?(?:Z|[+-]\d{2}:\d{2})$to?string
Match
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}(?::\d{2}(?:\.\d{1,9})?)?(?:Z|[+-]\d{2}:\d{2})$page?integer
Range
1 <= valueDefault
1pageSize?integer
Range
1 <= value <= 200Default
50Response Body
application/json
curl -X GET "https://example.com/production/print-batches/history"{ "items": [ null ], "total": 0, "page": 0, "pageSize": 0}Empty